Package org.drinkless.tdlib

# Class TdApi.GroupCallRecentSpeaker

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCallRecentSpeaker

Enclosing class:
  `TdApi`

public static class TdApi.GroupCallRecentSpeaker extends TdApi.Object
Describes a recently speaking participant in a group call.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isSpeaking`
  True, is the user has spoken recently.
  `TdApi.MessageSender`
  `participantId`
  Group call participant identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCallRecentSpeaker()`
  Describes a recently speaking participant in a group call.
  `GroupCallRecentSpeaker(TdApi.MessageSender participantId, boolean isSpeaking)`
  Describes a recently speaking participant in a group call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### participantId

    public TdApi.MessageSender participantId
    Group call participant identifier.

  - ### isSpeaking

    public boolean isSpeaking
    True, is the user has spoken recently.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCallRecentSpeaker

    public GroupCallRecentSpeaker()
    Describes a recently speaking participant in a group call.

  - ### GroupCallRecentSpeaker

    public GroupCallRecentSpeaker(TdApi.MessageSender participantId, boolean isSpeaking)
    Describes a recently speaking participant in a group call.
    Parameters:
      `participantId` - Group call participant identifier.
      `isSpeaking` - True, is the user has spoken recently.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR